%def_disable static
%set_automake_version 1.10

Name: libots
Version: 0.5.0
Release: alt3

Packager: Victor Forsyuk <force@altlinux.org>

Summary: A text summarizer
License: GPLv2+
Group: System/Libraries

URL: http://libots.sourceforge.net/
Source: http://dl.sourceforge.net/libots/ots-%version.tar.gz

# Automatically added by buildreq on Wed Jun 24 2009
BuildRequires: docbook-utils glib2-devel libpopt-devel libxml2-devel

%description
Open Text Summarizer is an open source tool for summarizing texts.
It reads a text stream and decides which sentences are important and
which are not.
 
%package devel
Summary: Libraries and include files for developing with libots
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libots.

%package devel-static
Summary: Libots static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package provides static library needed to build statically linked
applications with libots.

%prep
%setup -n ots-%version

%build
touch ./gtk-doc.make
%autoreconf
%configure --disable-gtk-doc %{subst_enable static}

# SMP unsafe build :(
%make

%install
%make_install install DESTDIR=%buildroot

%files
%_bindir/ots
%_libdir/*.so.*
%_datadir/ots

%files devel
%doc AUTHORS README
%_libdir/*.so
%_includedir/libots-1
%_pkgconfigdir/*.pc

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Jul 09 2009 Victor Forsyuk <force@altlinux.org> 0.5.0-alt3
- Fix FTBFS (add libtoolize call, use automake 1.10).

* Tue Dec 16 2008 Victor Forsyuk <force@altlinux.org> 0.5.0-alt2
- Remove obsolete ldconfig calls.

* Sun Aug 10 2008 Victor Forsyuk <force@altlinux.org> 0.5.0-alt1
- 0.5.0

* Tue May 23 2006 Victor Forsyuk <force@altlinux.ru> 0.4.2-alt3
- Fix FTBFS with gcc4.

* Tue Mar 21 2006 Victor Forsyuk <force@altlinux.ru> 0.4.2-alt2
- Fix linking.

* Fri Jun 10 2005 Victor Forsyuk <force@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Fri Sep 19 2003 AEN <aen@altlinux.ru> 0.4.1-alt1
- based on RH spec
